Subject: Re: [PATCH -next] metag: Fix ioremap_wc/ioremap_cached build errors

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 23 Mar 2015 20:54:01 +0100

On Mon, Mar 23, 2015 at 12:26:15PM +0000, James Hogan wrote:
> When ioremap_wc() or ioremap_cached() are used without first including
> asm/pgtable.h, the _PAGE_CACHEABLE or _PAGE_WR_COMBINE definitions
> aren't found, resulting in build errors like the following (in
> next-20150323 due to "lib: devres: add a helper function for
> ioremap_wc"):
> 
> lib/devres.c: In function ‘devm_ioremap_wc’:
> lib/devres.c:91: error: ‘_PAGE_WR_COMBINE’ undeclared
> 
> We can't easily include asm/pgtable.h in asm/io.h due to dependency
> problems, so split out the _PAGE_* definitions from asm/pgtable.h into a
> separate asm/pgtable-bits.h header (as a couple of other architectures
> already do), and include that in io.h instead.
> 
> Signed-off-by: James Hogan <[email-masked]>
> Cc: [email-masked]
> Cc: Abhilash Kesavan <[email-masked]>
> Cc: Greg Kroah-Hartman <[email-masked]>
> ---
> GregKH: I can apply this patch to the metag tree for 4.0. However commit
> 34644524bce9 "lib: devres: add a helper function for ioremap_wc" in
> your char-misc-next branch in next-20150323 will still break the metag
> build until the two changes merge. How do you want to handle that?

I don't know, I can't pull that into 4.0-final as it's not 4.0-final
material.  So there's nothing I can do from my end, sorry.

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-metag" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html